Subject: Re: bug#8250: 23.3; set-backrgound-color sets incorrect color

From: Juanma Barranquero <[email-masked]>
Date: Wed, 16 Mar 2011 15:54:41 +0100

On Wed, Mar 16, 2011 at 15:15, David J. Biesack <[email-masked]> wrote:

> (length w32-color-map)
> 271

> I don't know why w32-color-map (w32fns.c) is so short on my system.
> (I've have rebooted - no change.)

In x-open-connection, w32-color-map is set from the etc/rgb.txt file
(the trunk version of it has 788 entries). If that fails,
w32-color-map is set from the w32_color_map variable in w32fns.c,
which has 241.

Add to that a few system colors that are added afterwards, and 271
seems about right.

So please check that your etc/ directory has an rgb.txt file and that it is OK.

    Juanma